#ifndef BACK_LIGHT_H
#define BACK_LIGHT_H

/**
 * Any initialization code needed for MCU to function properly.
 * Do not remove this line or clock might not be set correctly.
 */
#ifdef PREINIT_SUPPORTED
#include "preinit.h"
#endif

#ifdef MikroCCoreVersion
    #if MikroCCoreVersion >= 1
        #include "delays.h"
    #endif
#endif

#include "drv_pwm.h"
#include "board.h"
#include "drv_digital_in.h"

// Make sure to define adequate pins.
#define BUTTON1 PE10
#define BUTTON2 PE11
#define BACKLIGHT_PWM_PIN PB8

#define PWM_FREQ_HZ 1000         // PWM frequency in Hz.

/**
 * @brief Initialization function.
 * 
 * @description This function initializes all necessary pins and peripherals used for this click.
 */
void back_light_init ( void );

/**
 * @brief Initialization function.
 * 
 * @description This function back_light_update scans button 1 & 2 to change the brightness
 *   button 1 is up
 *   button 2 is down
 */
void back_light_update ( void );

/**
 * @brief Initialization function.
 * 
 * @description This function backli
 */
void back_light_set(uint8_t set_point);

#endif  // _ILI9488_H_
